package visl.rasmus.gui;
/*
 * @(#)LazyLayout.java     0.1 96/10/29 Kul Bhatt
 *
 * Copyright (c) 1996 Kul Bhatt
 *
 *  This program is distributed freely. You can copy it, use it, and
 *  distribute it at your free will.
 *  Author provides no WARRANTY; Not even the implied warranty of USABILITY
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  Author is NOT responsible for any damages caused by direct or
 *  indirect use of this program. 
 *  
 *  k.bhatt@ieee.org 
 */

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;

/**
 * LazyLayout is a very simple Layout Manager. 
 * It can layout one component at (0, 0) with its preferred size.
 * It is not much useful except for scrolling when you do not want
 * to resize the scrolled component
 *@author Kul Bhatt
 *@author Martin Carlsen (modifications to layoutContainer)
 */
class LazyLayout implements LayoutManager
{
    Component c;
 
    public LazyLayout() {}
	
    public void addLayoutComponent(String name, Component comp) {
	c = comp;
	c.move(0,0);
    }
 
    public void layoutContainer(Container parent) {
	c = parent.getComponent(0);
	if(!c.isValid()){
	    if(c instanceof Container){
		((Container)c).getLayout().layoutContainer((Container)c);
		c.resize(((Container)c).getLayout().preferredLayoutSize((Container)c) );
	    }
	    else{
		c.resize(c.preferredSize());
	    }
	}
    }
 
    public Dimension minimumLayoutSize(Container parent)
    {
	return c.minimumSize();
    }
 
    public Dimension preferredLayoutSize(Container parent) {
	return c.preferredSize();
    }
 
    public void removeLayoutComponent(Component comp) {}
}
