package visl.rasmus.gui;

import java.awt.Button;
import java.awt.Dialog;
import java.awt.Event;
import java.awt.Frame;
import java.awt.Panel;

import visl.resources.Dict;

public class OkCancelDialog extends Dialog {
    protected boolean ok;

    public OkCancelDialog(Frame parent, String title) {
	super(parent, title, true);
	ok = false;
	Panel p = new Panel();
	p.add(new Button(Dict.get(" Ok ")));
	p.add(new Button(Dict.get(" Cancel ")));
	add("South", p);
    }
    public boolean handleEvent(Event e) {
	if (e.id == Event.WINDOW_DESTROY) {
	    hide();
	} else if (e.target instanceof Button && e.id == Event.ACTION_EVENT) {
	    Button b = (Button)e.target;
	    if (b.getLabel().equals(Dict.get(" Ok "))) {
		ok = true;
		hide();
		return true;
	    } else {
		ok = false;
		hide();
		return true;
	    }
	}
	return false;
    }
    public boolean isOk() { return ok; }
}
