package visl.rasmus.gui;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Panel;
import java.awt.TextField;

/** Implements a table (an array of textfields) */
public class Table extends Panel {
    protected int cols, rows;
    protected TextField cell[][];
    protected int width[];
    protected GridBagLayout gbl;
    protected GridBagConstraints c;
    public Table(int rows, int cols) {
	gbl = new GridBagLayout();
	setLayout(gbl);
	c = new GridBagConstraints();
	c.fill = GridBagConstraints.BOTH;
	c.anchor = GridBagConstraints.NORTHWEST;
	c.gridwidth = 1;
	c.weighty = 1;
	c.weightx = 1;
	this.cols = cols;
	this.rows = rows;
	width = new int[cols];
	for (int i = 0; i < cols; i++) width[i] = 5;
	cell = new TextField[rows][cols];
	for (int i = 0; i < rows; i++)
	    for (int j = 0; j < cols; j++) {
		cell[i][j] = new TextField(width[j]);
	    }
	layoutTable();
    }
    public void layoutTable() {
	removeAll();
	for (int i = 0; i < rows; i++)
	    for (int j = 0; j < cols; j++) {
		if (j == cols-1) c.gridwidth = GridBagConstraints.REMAINDER;
		else c.gridwidth = 1;
		if (cell[i][j].getColumns() != width[j]) {
		    String s = cell[i][j].getText();
		    cell[i][j] = new TextField(width[j]);
		    cell[i][j].setText(s);
		}
		gbl.setConstraints(cell[i][j], c);
		add(cell[i][j]);
	    }
    }
    public void setWidth(int i, int w) {
	width[i] = w;
    }
    public int getWidth(int i) { return width[i]; }
    public String getText(int i, int j) { return cell[i][j].getText(); }
    public void setText(int i, int j, String s) {
	cell[i][j].setText(s);
    }
}
