package visl.rasmus.handler;

import java.awt.Graphics;
import java.awt.Point;

import visl.rasmus.utils.TimerListener;

/** This class implements a handler to take care of numereous scrolling canvas'
 * @author Rasmus Lock Larsen, VISL Februar 2001. */
public class DropElementHandler implements GraphicsHandler, TimerListener {
	protected DropElement de;
	protected int stepsize;

	public DropElementHandler(int stepsize) {
		this.stepsize = stepsize;
		de = null;
	}
	public synchronized void setDropElement(DropElement de) {
		this.de = de;
	}
	public synchronized void clear() {
		de = null;
	}
	/** Called by the Timer */
	public synchronized void tick() {
		if (de != null) {
			// Update all the positions
			Point p = de.getPosition();
			p.y += stepsize;
			de.setPosition(p.x, p.y);
		}
	}
	/** Comes from the GraphicsHandler */
	public synchronized void updateGraphics(Graphics g, Object arg) {
		if (de != null)
			de.paint(g);
	}
	public Point getPosition() {
		if (de != null)
			return de.getPosition();
		return new Point();
	}
	public void setStepSize(int ss) {
		stepsize = ss;
	}
	public int getStepSize() {
		return stepsize;
	}
}
