package visl.rasmus.handler;

import java.awt.Graphics;
import java.awt.Point;

/** This class encapsulates the methods needed for the MultiHandler.
 * Note: All subclasses, must use x,y to set the position on the graphics
 * object used by updateGraphics(Graphics) 
 * @author Rasmus Lock Larsen, July 2001 */
public abstract class MultiComponent extends java.awt.Canvas {
    public int x,y;
    public float vx, vy, ax, ay, fx, fy;
    
    public MultiComponent() {
	x = 0;
	y = 0;
	fx = 0;
	fy = 0;
	vx = 0; 
	vy = 0;
	ax = 0;
	ay = 0;
    }

    public void setPosition(int x, int y) {
	this.x = x;
	this.y = y;
	fx = x;
	fy = y;
    }
    public Point getPosition() { return new Point(x,y); }
    public void setSpeed(float vx, float vy) {
	this.vx = vx;
	this.vy = vy;
    }
    public void setAcceleration(float ax, float ay) {
	this.ax = ax;
	this.ay = ay;
    }
    public void setSpeedX(float vx) { this.vx = vx; }
    public void setSpeedY(float vy) { this.vy = vy; }
    public void setAccelerationX(float ax) { this.ax = ax; }
    public void setAccelerationY(float ay) { this.ay = ay; }
    public float getSpeedX() { return vx; }
    public float getSpeedY() { return vy; }
    public float getAccelertaionX() { return ax; }
    public float getAccelerationY() { return ay; }
    public abstract void paint(Graphics g);
    public boolean isMoving() {
	return (ax != 0 || ay != 0 || vx != 0 || vy != 0);
    }
}
