package visl.rasmus.hitserver.client;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.net.Socket;

/** This class implements the public interface to the HitServer 
 * This class functions exactly like HitClient, but it has been changed to cope
 * with JDK &gt; 1.1
 * @see HitXtraClient
 * @author Rasmus Lock Larsen, VISL March 2001 */
public class HitClient2 extends HitClient {
	protected BufferedReader buff_in;
	public HitClient2(
		String servername,
		int port,
		String language,
		String game) {
		super(servername, port, language, game);
	}
	/** Constructor, servername is the name of the server on which the 
	 * HitServer is running, language is the desired language and game is 
	 * the game
	 * @see HitServer
	 * @see #setLanguage(String)
	 * @see #setGame(String)
	 * @author Rasmus Lock Larsen */
	public HitClient2(String servername, String language, String game) {
		this(servername, DEFAULT_PORT, language, game);
	}
	// ***********************************************************************
	/** Reads a line from the connection, and resets the timing */
	protected String read() throws IOException {
		timing = false;
		start_time = System.currentTimeMillis();
		timing = true;
		String res = buff_in.readLine();
		timing = false;
		return res;
	}
	/** Establishes a connection to the server */
	public void connect() throws IOException {
		timeout = false;
		socket = new Socket(servername, port);
		buff_in =
			new BufferedReader(new InputStreamReader(socket.getInputStream()));
		out = new PrintStream(socket.getOutputStream());
	}
}
