package visl.rasmus.hitserver.server;

public interface HitServerInterface {
    public static final int DEFAULT_PORT = 5001;
    public static final String 
	GET_VERSION = "GetVersion",
	GET_LOG = "GetLog:",
	GET_HISCORE = "GetHiScore:",
	GET_SENTENCE = "GetSentence:",
	GET_SENTENCES = "GetSentences:",
	GET_TREES = "GetTrees:",
	GET_NUM_CONNECTIONS = "GetNumConn:",
	GET_WCS = "GetWordClasses:",
	GET_FUNCS = "GetFunctions:",
	PUT_HISCORE = "PutHiScore:",
	QUE_HISCORE = "QueryHiScore:",
	DISCONNECT = "Disconnect",
	QUIT = "Quit",
	EOT = "<END>",
	RELOAD_SENTENCES = "ReLoadSenteces:",
	RELOAD_TREES = "ReLoadTrees:",
	RELOAD_SETTINGS = "ReloadSettings",
	SQL_COMMAND = "SQL:";
    public static final String
	T100Y = "Top100_Year",
	T100M = "Top100_Month",
	T10Y = "Top10_Year",
	T10M = "Top10_Month",
	T10W = "Top10_Week",
	T10D = "Top10_Day",
	TALL = "All";
    public static final String LANGUAGES[] = { 
	"bs", "da", "de", "el", "en", "fr", "it", "la", "pt"
    };
    public static final String GAMES[] = { "SG00",
					   "SG10",
					   "SG20",
					   "SG30",
					   "SG01",
					   "SG11",
					   "SG21",
					   "SG31",
					   "SG02",
					   "SG12",
					   "SG22",
					   "SG32",
					   "PB",
					   "ST",
					   "WF00",
					   "WF10",
					   "WF20",
					   "WF30",
					   "WF01",
					   "WF11",
					   "WF21",
					   "WF31",
					   "WF02",
					   "WF12",
					   "WF22",
					   "WF32",
					   "SR",
					   "SR2",
					   "LB"};
    public static final String FORMS[][] = {
	{"n", "v"},
	{"n","v","adj","adv"},
	{"art","pron","prp","conj"},
	{"n","v","adj","infm","art","num","intj","pron","prp","adv", "conj"}
    };
    public static final int LOG_SIZE = 200;
}


